Uses of Interface
io.vertx.httpproxy.ProxyInterceptorBuilder
Packages that use ProxyInterceptorBuilder
-
Uses of ProxyInterceptorBuilder in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return ProxyInterceptorBuilderModifier and TypeMethodDescriptionProxyInterceptorBuilder.addingPathPrefix(String prefix) Add a prefix to the URI.static ProxyInterceptorBuilderProxyInterceptor.builder()Create a builder for implementing common HTTP interception hooks such as modifying headers or transforming the HTTP entity stream.ProxyInterceptorBuilder.filteringRequestHeaders(Set<CharSequence> forbiddenRequestHeaders) Filter the request headers in the given set.ProxyInterceptorBuilder.filteringResponseHeaders(Set<CharSequence> forbiddenResponseHeaders) Filter the response headers in the given set.ProxyInterceptorBuilder.removingPathPrefix(String prefix) Remove a prefix to the URI.ProxyInterceptorBuilder.removingQueryParam(String name) Remove a query parameter from the request.ProxyInterceptorBuilder.settingQueryParam(String name, String value) Add a query parameter to the request.ProxyInterceptorBuilder.transformingPath(Function<String, String> mutator) Apply a callback to change the request URI when the proxy receives it.ProxyInterceptorBuilder.transformingQueryParams(Handler<MultiMap> updater) Apply modifications to the query parameters.ProxyInterceptorBuilder.transformingRequestBody(BodyTransformer requestTransformer) Apply a transformation to change the request body when the proxy receives it.ProxyInterceptorBuilder.transformingRequestHeaders(Handler<MultiMap> requestHeadersUpdater) Apply callbacks to change the request headers when the proxy receives them.ProxyInterceptorBuilder.transformingResponseBody(BodyTransformer responseTransformer) Apply a transformation to change the response body when the proxy receives it.ProxyInterceptorBuilder.transformingResponseHeaders(Handler<MultiMap> responseHeadersUpdater) Apply callbacks to change the response headers when the proxy receives them. -
Uses of ProxyInterceptorBuilder in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return ProxyInterceptorBuilderMethods in io.vertx.rxjava3.httpproxy with parameters of type ProxyInterceptorBuilderModifier and TypeMethodDescriptionstatic ProxyInterceptorBuilderProxyInterceptorBuilder.newInstance(ProxyInterceptorBuilder arg) Constructors in io.vertx.rxjava3.httpproxy with parameters of type ProxyInterceptorBuilder